Summary:	Password checking library
Name:		cracklib
Version:	2.7
Release:	1
License:	Artistic
Group:		Libraries
URL:		http://sourceforge.net/projects/cracklib/
Source0:	ftp://coast.cs.purdue.edu/pub/tools/unix/libs/cracklib/%{name}_%{version}.tgz
Source1:	cracklib-words.gz
Source2:	http://www.dcs.shef.ac.uk/research/ilash/Moby/mwords.tar.Z
Patch0:		%{name}.patch
Patch1:		%{name}-pld.patch
Patch2:		%{name}-nss.patch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Provides:	words %{name}-dicts

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop users
from choosing passwords which would be easy to guess. CrackLib
performs certain tests:

- It tries to generate words from a username and gecos entry and
  checks those words against the password;
- It checks for simplistic patterns in passwords;
- It checks for the password in a dictionary.

CrackLib is actually a library containing a particular C function
which is used to check the password, as well as other C functions.
CrackLib is not a replacement for a passwd program; it must be used in
conjunction with an existing passwd program.

Install the cracklib package if you need a program to check users'
passwords to see if they are at least minimally secure. If you install
CrackLib, you'll also want to install the cracklib-dicts package.

Standard dictionaries (/usr/dict/words)
The cracklib package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/dict/words. Cracklib-dicts also
contains the utilities necessary for the creation of new dictionaries.

%package 	devel
Summary:	Header files and documentation for cracklib
Group:		Development

%description 	devel
Header files and documentation for cracklib.

%prep
%setup	-q -n %{name},%{version} -a 2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__make} all \
	CC="%{__cc}" \
	OPTFLAGS="%{optflags}"
cd mwords; dos2unix -o *; chmod a+r *
cat [1-9]*.??? | fgrep -v \'s | egrep  "^[[:alnum:]'&!,./-]+$" | sort --ignore-case --dictionary-order | uniq > moby

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir},/usr/dict}

%{__make} install \
	ROOT=$RPM_BUILD_ROOT

install cracklib/packer.h $RPM_BUILD_ROOT%{_includedir}
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/dict/
install -m644 mwords/moby $RPM_BUILD_ROOT/usr/dict/words
cp -d $RPM_BUILD_ROOT%{_libdir}/libcrack.so $RPM_BUILD_ROOT%{_libdir}/libcrack.so.2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_sbindir}
/usr/dict

%files devel
%defattr(-,root,root)
%{_includedir}
